import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../../services/model.service";
import { StiEditorProperty } from "../../../../../services/objects";
import { StiHelperService } from "../../../../../services/sti-helper.service";
import { StiLocalizationService } from "../../../../../services/sti-localization.service";
import { StiThemeService } from "../../../../../services/theme.service";
export declare class StiBorderSidesEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    theme: StiThemeService;
    loc: StiLocalizationService;
    property: StiEditorProperty;
    object: any;
    constructor(model: StiModelService, helper: StiHelperService, theme: StiThemeService, loc: StiLocalizationService);
    get borderAlignments(): any;
    set borderAlignments(value: any);
    setAll(): void;
    setNone(): void;
    changeState(value: any): void;
    ngOnInit(): void;
}
